Skip to main content

Photos

Overview​

This resource represents Photos belonging to Rentals used for presentational purposes.

Parameters​

List photos​

List all photos for a given account(s).

GET /photos

Get a single photo​

Returns a single photo identified by ID.

GET /photos/:photo_id

Create a new photo​

Translated attributes

Please note that translated attributes are updated differently than you read them. To set the English description, locale en, you need to use the description_en attribute. List of locales described in enums section.

Returns a newly created photo for given rental.

POST /rentals/:rental_id/photos

Update a photo​

Translated attributes

Please note that translated attributes are updated differently than you read them. To set the English description, locale en, you need to use the description_en attribute. List of locales described in enums section.

Returns an updated photo identified by ID.

PUT /photos/:photo_id

Destroy a photo​

Required OAuth scope: :rentals_write

Returns an empty response with 204 No Content status code on success.

DELETE /photos/:photo_id